/* This is the style sheet for the Prayer 24-7 plugin */

.p24xgrid {
    width: 100%;
}

.p24xweekgrid {
    display: -webkit-box; 
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex; 
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.p24xgriditem {
    width: 110px;
    margin: 15px;
    text-align: center;
    border: 2px solid grey;
    border-radius: 4px;
    padding: 10px;
}

.p24xtimegrid {
    display: -webkit-box; 
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex; 
    display: flex;
    width: 75%;
    flex-wrap: wrap;
    justify-content: center;
    margin: auto;
    background-color: lemonchiffon;
    border: 2px solid grey;
    border-radius: 12px;
}

.p24xtimeitem {
    width: 110px;
    margin: 15px;
    text-align: center;
    border: 2px solid lightgrey;
    border-radius: 4px;
    padding: 10px;    
}

@media only screen and (max-width: 600px) {
    .p24xgriditem {
        width: 100px;
        margin: 5px;
        padding: 7px;
        font-size: 80%;
    }
    
    .p24xtimegrid {
        width: 100%;
        margin: 10px 0px;
    }
    
    .p24xtimeitem {
        width: 100px;
        margin: 5px;
        padding: 7px;
        font-size: 80%;
    }
}

.prayerslotsgrid {
    display: grid;
    grid-template-columns: auto auto auto auto auto auto auto;
    border: 2px solid grey;
    background-color: aliceblue;
    grid-gap: 7px;
    padding: 7px 7px 0 7px;
    margin: 50px 0;
}

@media only screen and (max-width: 600px) {
    .prayerslotsgrid {
        grid-template-columns: auto auto auto;
    }
}

.prayerslotsgrid::before {
    content: none;
}

.prayerslotsitem {
    background-color: palegreen;
    border: 1px solid grey;
    font-size: 14px;
    text-align: center;
    padding: 10px;
}

.prayerslotsitem p {
}

.smiley {
    font-size: 30px;
}


.p247summary {
    display: none;
    text-align: center;
    width: 50%;
    border: 2px solid green;
    border-radius: 8px;
    background-color: lightgrey;
    margin: auto;
    padding-top: 20px;
    
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
}

@media only screen and (max-width: 600px) {
    .p247summary {
        width: 95%;
    }
}

.p247textfields {
    width: 75%;
    margin: auto;
    margin-bottom: 15px;
}

.p247textfields label {
    display: inline-block;
    width: 50px;
}

.p247textfields input {
    display: inline !important;
    margin-bottom: 0px !important;
}

.p247textfields :last-child {
    margin-bottom: 30px;
}

.p247formitem {
    clear: both;
    margin-bottom: 15px;
}

#p247formid {
    margin: 1.15em 0;
}

#p247name {
    width: calc(100% - 65px);
    margin-left: 10px;  
}

#p247email {
    width: calc(100% - 65px);
    margin-left: 10px; 
}

.p247timeslist {
    font-weight: bold;
    padding: 10px;
}

.spanbtn {
    margin: 30px 5px;
    padding: 30px 0;
}

.spanbtn .p247button {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

.p247formbtns {
    display: block;
    margin: auto;
    width: 220px;
}

#p24xconfirmbtnid {
    height: 32px;
    width: 100px;
    font-size: 14px;
    margin-right: 10px;
    text-align: center;
}

#p247cancelbtnid {
    height: 32px;
    width: 100px;
    font-size: 14px;
    margin-left: 10px;    
    text-align: center;
}

.p247thankyou {
    text-align: center;
    color: red;
    padding: 20px 55px;
}

#greentxtspan {
    background-color: palegreen;
    border: 1px solid green;
}

#orangetxtspan {
    background-color: orange;
    border: 1px solid green;
}

.underway {
    border: solid 3px #257cd3;
    background-color: #dddddd;
    width: 80%;
    margin: auto;
}
.underway p {
    max-width: min(800px, 96%);
}
.underway blockquote {
    max-width: min(700px, 90%);
    background-color: #c8d6e4;
    border-left: solid 5px #81aad3;
    margin: auto;
    padding: 25px 25px 1px 25px;
}

.prayeritemscontainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    width: 85%;
    margin: 0px auto 30px;
}

.prayeritem {
    background-color: #257cd3;
    color: white;
    margin: 10px;
    min-width: 50px;
    text-align: center;
    line-height: 30px;
    font-size: 20px;
    border: solid 2px #81aad3;
    border-radius: 25px;
    padding: 10px 25px;
    margin: 13px;
}

/************************
**    BUTTON CSS
************************/

.p247submit {
    width: 100%;
}

.centered {
  display: block;
  margin:40px calc(50% - 50px) 20px;
  text-align:center;
}

.p247button::-moz-focus-inner{
  border: 0;
  padding: 0;
}

.p247button{
  display: inline-block;
  *display: inline;
  zoom: 1;
  padding: 6px 20px;
  cursor: pointer;
  border: 1px solid #bbb;
  overflow: visible;
  font: bold 13px arial, helvetica, sans-serif;
  text-decoration: none;
  white-space: nowrap;
  color: #555;
  
  background-color: #ddd;
  background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(255,255,255,1)), to(rgba(255,255,255,0)));
  background-image: -webkit-linear-gradient(top, rgba(255,255,255,1), rgba(255,255,255,0));
  background-image: -moz-linear-gradient(top, rgba(255,255,255,1), rgba(255,255,255,0));
  background-image: -ms-linear-gradient(top, rgba(255,255,255,1), rgba(255,255,255,0));
  background-image: -o-linear-gradient(top, rgba(255,255,255,1), rgba(255,255,255,0));
  background-image: linear-gradient(top, rgba(255,255,255,1), rgba(255,255,255,0));
  
  -webkit-transition: background-color .2s ease-out;
  -moz-transition: background-color .2s ease-out;
  -ms-transition: background-color .2s ease-out;
  -o-transition: background-color .2s ease-out;
  transition: background-color .2s ease-out;
  background-clip: padding-box; /* Fix bleeding */
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  -moz-box-shadow: 0 1px 0 rgba(0, 0, 0, .3), 0 2px 2px -1px rgba(0, 0, 0, .5), 0 1px 0 rgba(255, 255, 255, .3) inset;
  -webkit-box-shadow: 0 1px 0 rgba(0, 0, 0, .3), 0 2px 2px -1px rgba(0, 0, 0, .5), 0 1px 0 rgba(255, 255, 255, .3) inset;
  box-shadow: 0 1px 0 rgba(0, 0, 0, .3), 0 2px 2px -1px rgba(0, 0, 0, .5), 0 1px 0 rgba(255, 255, 255, .3) inset;
  text-shadow: 0 1px 0 rgba(255,255,255, .9);
  
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.p247button:hover{
  background-color: #eee;
  color: #555;
}

.p247button:active{
  background: #e9e9e9;
  position: relative;
  top: 1px;
  text-shadow: none;
  -moz-box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
  box-shadow: 0 1px 1px rgba(0, 0, 0, .3) inset;
}

.p247button[disabled], .p247button[disabled]:hover, .p247button[disabled]:active{
  border-color: #eaeaea;
  background: #fafafa;
  cursor: default;
  position: static;
  color: #999;
  /* Usually, !important should be avoided but here it's really needed :) */
  -moz-box-shadow: none !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  text-shadow: none !important;
}

/* Smaller p247buttons styles */

.p247button.small{
  padding: 4px 12px;
}

/* Larger p247buttons styles */

.p247button.large{
  padding: 12px 30px;
/*  text-transform: uppercase;*/
}

.p247button.large:active{
  top: 2px;
}



/* Colored p247buttons styles */

.p247button.green, .p247button.red, .p247button.blue {
  color: #fff;
  text-shadow: 0 1px 0 rgba(0,0,0,.2);
  
  background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(255,255,255,.3)), to(rgba(255,255,255,0)));
  background-image: -webkit-linear-gradient(top, rgba(255,255,255,.3), rgba(255,255,255,0));
  background-image: -moz-linear-gradient(top, rgba(255,255,255,.3), rgba(255,255,255,0));
  background-image: -ms-linear-gradient(top, rgba(255,255,255,.3), rgba(255,255,255,0));
  background-image: -o-linear-gradient(top, rgba(255,255,255,.3), rgba(255,255,255,0));
  background-image: linear-gradient(top, rgba(255,255,255,.3), rgba(255,255,255,0));
}

/* */

.p247button.green{
  background-color: #57a957;
  border-color: #57a957;
}

.p247button.green:hover{
  background-color: #62c462;
}

.p247button.green:active{
  background: #57a957;
}

/* */

.p247button.red{
  background-color: #ca3535;
  border-color: #c43c35;
}

.p247button.red:hover{
  background-color: #ee5f5b;
}

.p247button.red:active{
  background: #c43c35;
}

/* */

.p247button.blue{
  background-color: #269CE9;
  border-color: #269CE9;
}

.p247button.blue:hover{
  background-color: #70B9E8;
}

.p247button.blue:active{
  background: #269CE9;
}

/* */

.green[disabled], .green[disabled]:hover, .green[disabled]:active{
/*
  border-color: #57A957;
  background: #57A957;
  color: #D2FFD2;
*/
  border-color: #aaaaaa;
  background: #dddddd;
  color: #bbbbbb;
}

.red[disabled], .red[disabled]:hover, .red[disabled]:active{
  border-color: #C43C35;
  background: #C43C35;
  color: #FFD3D3;
}

.blue[disabled], .blue[disabled]:hover, .blue[disabled]:active{
  border-color: #269CE9;
  background: #269CE9;
  color: #93D5FF;
}

/* Group p247buttons */

.p247button-group,
.p247button-group li{
  display: inline-block;
  *display: inline;
  zoom: 1;
}

.p247button-group{
  font-size: 0; /* Inline block elements gap - fix */
  margin: 0;
  padding: 0;
  background: rgba(0, 0, 0, .1);
  border-bottom: 1px solid rgba(0, 0, 0, .1);
  padding: 7px;
  -moz-border-radius: 7px;
  -webkit-border-radius: 7px;
  border-radius: 7px;
}

.p247button-group li{
  margin-right: -1px; /* Overlap each right p247button border */
}

.p247button-group .p247button{
  font-size: 13px; /* Set the font size, different from inherited 0 */
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
}

.p247button-group .p247button:active{
  -moz-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
  -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
  box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
}

.p247button-group li:first-child .p247button{
  -moz-border-radius: 3px 0 0 3px;
  -webkit-border-radius: 3px 0 0 3px;
  border-radius: 3px 0 0 3px;
}

.p247button-group li:first-child .p247button:active{
  -moz-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
  -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
  box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, -5px 0 5px -3px rgba(0, 0, 0, .2) inset;
}

.p247button-group li:last-child .p247button{
  -moz-border-radius: 0 3px 3px 0;
  -webkit-border-radius: 0 3px 3px 0;
  border-radius: 0 3px 3px 0;
}

.p247button-group li:last-child .p247button:active{
  -moz-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset;
  -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset;
  box-shadow: 0 0 1px rgba(0, 0, 0, .2) inset, 5px 0 5px -3px rgba(0, 0, 0, .2) inset;
}